@echo off
if exist cfg\scramble.cfg move cfg\scramble.cfg cfg\scramble.bak
if exist hi\scramble.hi move hi\scramble.hi hi\scramble.bak
if exist nvram\scramble.nv move nvram\scramble.nv nvram\scramble.bak
if exist diff\scramble.dif move diff\scramble.dif diff\scramble.bak

mame scramble -record scramble.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\scramble.bak move cfg\scramble.bak cfg\scramble.cfg
if exist hi\scramble.bak move hi\scramble.bak hi\scramble.hi
if exist nvram\scramble.bak move nvram\scramble.bak nvram\scramble.nv
if exist diff\scramble.bak move diff\scramble.bak diff\scramble.dif
